import request from '@/utils/request'
import Qs from 'qs'

/**
* 1. 列表查询
* 2. 查询详细信息
* 3. 新增
* 4. 修改
* 5. 逻辑删除
* 6. 导出
*
*/

// 1. 查询标签管理列表
export function listIncomeWmsLabel(query) {
  return request({
    url: '/incomewmslabel/list',
    method: 'get',
    params: query
  })
}

// 2. 查询标签管理详细信息
export function getIncomeWmsLabel(businessId) {
  return request({
    url: '/incomewmslabel/detail/' + businessId,
    method: 'get'
  })
}
// 2. 查询标签管理详细信息
export function findByLocation(location) {
  return request({
    url: '/incomewmslabel/findByLocation/' + location,
    method: 'get'
  })
}

// 3. 新增标签管理
export function addIncomeWmsLabel(data) {
  data = Qs.stringify(data)
  return request({
    url: '/incomewmslabel/add',
    method: 'post',
    data: data
  })
}

// 4. 修改标签管理
export function updateIncomeWmsLabel(data) {
  const businessId = data.businessId
  data = Qs.stringify(data)
  return request({
    url: '/incomewmslabel/update/' + businessId,
    method: 'put',
    data
  })
}

// 5. 逻辑删除标签管理
export function delIncomeWmsLabel(businessId) {
  return request({
    url: '/incomewmslabel/deleteLogical/' + businessId,
    method: 'delete'
  })
}

// 6. 导出标签管理
export function exportIncomeWmsLabel(query) {
  return request({
    url: '/incomewmslabel/export',
    method: 'get',
    params: query,
    responseType: 'blob'
  })
}
