import request from '@/utils/request'
import { encrypt } from '@/utils/jsencrypt'
import Qs from 'qs'

// 登录方法
export function login(username, password, code, uuid) {
  const data = {
    username,
    password
    // code,
    // uuid
  }
  return request({
    url: '/auth/login',
    method: 'post',
    params: data,
    headers: {
      'Content-Type': 'application/x-www-form-urlencoded'
    }
  })
}
// export function login(username, password, code, uuid) {
//   const data = {
//     username,
//     password,
//     code,
//     uuid
//   }
//   console.log('加密前数据', data)
//   return request({
//     url: '/auth/login',
//     method: 'post',
//     data: Qs.stringify({
//       sign: encrypt(data)
//     }),
//     headers: {}
//   })
// }
// 刷新token
export function refreshToken(params) {
  return request({
    url: '/authority/system/user/refreshToken',
    method: 'put',
    params: params
  })
}
// 获取用户详细信息
export function getInfo() {
  return request({
    url: '/system/user/getInfo',
    method: 'get'
  })
}

// 退出方法
export function logout() {
  return request({
    url: '/logout',
    method: 'post'
  })
}

// 获取验证码
export function getCodeImg() {
  return request({
    url: '/captchaImage',
    method: 'get'
  })
}

// 获取验证码类型及验证内容
export function captchaImage() {
  return request({
    url: '/captcha/captchaImage',
    method: 'get'
  })
}

// 获取验证图片
export function getBwCaptcha(params) {
  const data = Qs.stringify(params)
  return request({
    url: '/captcha/getBwCaptcha',
    method: 'post',
    data
  })
}

// 滑动或者点选验证
export function checkBwCaptcha(params) {
  const data = Qs.stringify(params)
  return request({
    url: '/captcha/checkBwCaptcha',
    method: 'post',
    data
  })
}
