import request from '@/utils/request'
import Qs from 'qs'

/**
* 1. 列表查询
* 2. 查询详细信息
* 3. 新增
* 4. 修改
* 5. 逻辑删除
* 6. 导出
*
*/

export function listOutcomeWmsJbapplyTemp(query) {
  return request({
    url: '/outcomewmsjbapplytemp/list',
    method: 'get',
    params: query
  })
}

export function getOutcomeWmsJbapplyTemp(businessId) {
  return request({
    url: '/outcomewmsjbapplytemp/detail/' + businessId,
    method: 'get'
  })
}

export function addOutcomeWmsJbapplyTemp(data) {
  data = Qs.stringify(data)
  return request({
    url: '/outcomewmsjbapplytemp/add',
    method: 'post',
    data: data
  })
}

export function updateOutcomeWmsJbapplyTemp(data) {
  const businessId = data.businessId
  data = Qs.stringify(data)
  return request({
    url: '/outcomewmsjbapplytemp/update/' + businessId,
    method: 'put',
    data
  })
}

export function delOutcomeWmsJbapplyTemp(businessId) {
  return request({
    url: '/outcomewmsjbapplytemp/deleteLogical/' + businessId,
    method: 'delete'
  })
}

export function exportOutcomeWmsJbapplyTemp(query) {
  return request({
    url: '/outcomewmsjbapplytemp/export',
    method: 'get',
    params: query,
    responseType: 'blob'
  })
}

// 校验
export function validNumber(query) {
  return request({
    url: '/outcomewmsjbapplytemp/validNumber',
    method: 'get',
    params: query
  })
}

// 查询标签信息
export function querykindsNumber() {
  return request({
    url: '/outcomewmsjbapplytemp/querykindsNumber',
    method: 'get'
  })
}

// 处理
export function handleOutWarehouse(query) {
  return request({
    url: '/outcomewmsjbapplytemp/handleOutWarehouse',
    method: 'get',
    params: query
  })
}
// 出库
export function persistOut(data) {
  return request({
    url: '/outcomewmsjbapplytemp/persistOut',
    method: 'post',
    data,
    headers: {
      'Content-Type': 'application/json;charset=UTF-8' // 接口修改传参类型
    }
  })
}
export function changeLabel(data) {
  data = Qs.stringify(data)
  return request({
    url: '/outcomewmsjbapplytemp/changeLabel',
    method: 'post',
    data: data
  })
}
